#!/usr/bin/env python
# -*- coding: utf-8 -*-

import multiprocessing
import nnpy

def run_sub():
    print "p1: creating sub socket"
    sub_socket = nnpy.Socket(nnpy.AF_SP, nnpy.SUB)
    sub_socket.setsockopt(nnpy.SUB, nnpy.SUB_SUBSCRIBE, "topic:")
    sub_socket.connect("ipc:///tmp/nnpy-test-pub")
    print "p1: created sub socket"

    while True:
        print "p1: waiting on subscription"
        print "p1: received " + repr(sub_socket.recv())

print "p: creating multiprocessing child"
sub = multiprocessing.Process(target=run_sub)
sub.daemon = True
sub.start()
print "p: created multiprocessing child"

sub.join()
