#!/usr/bin/env python
# -*- coding: utf-8 -*-

import nnpy
import time

print "c: Creating REP socket"
cmd_socket = nnpy.Socket(nnpy.AF_SP, nnpy.REP)
cmd_socket.connect("ipc:///tmp/nnpy-test-cmd")
print "c: Created REP socket"

print "c: waiting for start command"
assert 'start' == cmd_socket.recv()
print "c: got start command"

pub_socket = nnpy.Socket(nnpy.AF_SP, nnpy.PUB)
pub_socket.bind("ipc:///tmp/nnpy-test-pub")
print "c: created publisher socket"

cmd_socket.send("Starting!")
print "c: sent response"

for n in range(10):
    print "c: sending update!"
    pub_socket.send("topic:It is now " + str(time.time()) + " o'clock!")
    time.sleep(0.25)

